nicht-personenbezogene Mitgliedsdaten
Mitgliedschaften abrufen
Version 1.0
get
Autorisierungen
OAuth2passwordErforderlichToken URL:
Use username and password.
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample:
20offsetinteger · int32Optional
includeLicenseAgreementbooleanOptionalDefault:
falseactiveOnstring · date-timeOptional
Antworten
200
OK
Idinteger · int32Optional
IdNumstring · nullableOptional
CreationDatestring · date · nullableOptionalExample:
2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])AccessionDatestring · date · nullableOptionalExample:
2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])ValidFromstring · dateOptionalExample:
2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])ValidTostring · date · nullableOptionalExample:
2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])IsPayoutBlockAccountbooleanOptional
CooperativeAccountClearingLockbooleanOptional
SubsidyApplicationForSeveralFiscalYearsAllowedbooleanOptional
NoParticipationElectoralDistrictbooleanOptional
ActiveAmountSumnumber · decimalOptional
ActiveCountSumnumber · decimalOptional
400
Bad Request
401
Unauthorized
get/openwowi/v1.0/CooperativeManagement/CooperativeMemberships
GET /openwowi/v1.0/CooperativeManagement/CooperativeMemberships HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"Id": 1,
"IdNum": "text",
"CreationDate": "2026-10-15",
"AccessionDate": "2026-10-15",
"ValidFrom": "2026-10-15",
"ValidTo": "2026-10-15",
"IsPayoutBlockAccount": true,
"CooperativeAccountClearingLock": true,
"SubsidyApplicationForSeveralFiscalYearsAllowed": true,
"NoParticipationElectoralDistrict": true,
"ActiveAmountSum": 1,
"ActiveCountSum": 1,
"MembershipStatus": {
"Id": 1,
"Code": "text"
},
"LicenseAgreements": [
{
"Id": 1,
"UseUnit": {
"Id": 1,
"UseUnitNumber": "text",
"BuildingLandId": 1,
"EconomicUnitId": 1,
"EconomicUnit": "text"
},
"RestrictionsOfUse": {
"Id": 1,
"NodeId": 1,
"Name": "text",
"IsVacancy": true
},
"ContractStatus": {
"Id": 1,
"Name": "text"
},
"IdNum": "text",
"StartContract": "2026-10-15",
"EndOfContract": "2026-10-15",
"PersonId": 1
}
],
"AdditionalFields": [
{
"Name": "text",
"Content": "text",
"Type": "text"
}
],
"ElectoralDistrict": {
"Id": 1,
"Code": "text"
},
"ReasonPayoutBlockAccount": {
"Id": 1,
"Code": "text"
},
"MembershipEndReason": {
"Id": 1,
"Code": "text"
},
"ActiveMainMember": {
"PersonId": 1,
"BirthDate": "2026-10-15"
},
"ActiveMaritalMember": {
"PersonId": 1,
"BirthDate": "2026-10-15"
},
"LastProcessMembership": {
"ActiveDateProcess": "2026-10-15",
"DeclarationDateProcess": "2026-10-15",
"ProcessType": "text",
"ShareState": "text",
"SharesIncrease": true,
"SharesCount": 1,
"Amount": 1,
"Remark": "text"
}
}
]Version 1.2
get
Autorisierungen
OAuth2passwordErforderlichToken URL:
Use username and password.
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample:
20offsetinteger · int32Optional
cooperativeMembershipIdinteger · int32Optional
cooperativeMembershipIdNumstringOptional
activeOnstring · date-timeOptional
personIdinteger · int32Optional
personIdNumstringOptional
includeLicenseAgreementbooleanOptionalDefault:
falseincludeShareOverviewbooleanOptionalDefault:
falseincludeAdditionalFieldbooleanOptionalDefault:
falseincludeOrganAuthoritybooleanOptionalDefault:
falseincludePaymentAssignmentbooleanOptionalDefault:
falseincludeHousingSubsidybooleanOptionalDefault:
falseincludeRateAgreementsbooleanOptionalDefault:
falseshowNullValuesbooleanOptionalDefault:
falseAntworten
200
OK
Idinteger · int32Optional
IdNumstring · nullableOptional
CreationDatestring · date · nullableOptionalExample:
2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])AccessionDatestring · date · nullableOptionalExample:
2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])ValidFromstring · dateOptionalExample:
2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])ValidTostring · date · nullableOptionalExample:
2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])IsPayoutBlockAccountbooleanOptional
CooperativeAccountClearingLockbooleanOptional
SubsidyApplicationForSeveralFiscalYearsAllowedbooleanOptional
NoParticipationElectoralDistrictbooleanOptional
ActiveAmountSumnumber · decimalOptional
ActiveCountSumnumber · decimalOptional
Descriptionstring · nullableOptional
400
Bad Request
401
Unauthorized
get/openwowi/v1.2/CooperativeManagement/CooperativeMemberships
GET /openwowi/v1.2/CooperativeManagement/CooperativeMemberships HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"Id": 1,
"IdNum": "text",
"CreationDate": "2026-10-15",
"AccessionDate": "2026-10-15",
"ValidFrom": "2026-10-15",
"ValidTo": "2026-10-15",
"IsPayoutBlockAccount": true,
"CooperativeAccountClearingLock": true,
"SubsidyApplicationForSeveralFiscalYearsAllowed": true,
"NoParticipationElectoralDistrict": true,
"ActiveAmountSum": 1,
"ActiveCountSum": 1,
"MembershipStatus": {
"Id": 1,
"Code": "text"
},
"Address": {
"Greeting": "text",
"Address1": "text",
"Address2": "text",
"Address3": "text",
"Address4": "text",
"Address5": "text",
"Address6": "text"
},
"TaxAddress": {
"Greeting": "text",
"Address1": "text",
"Address2": "text",
"Address3": "text",
"Address4": "text",
"Address5": "text",
"Address6": "text"
},
"ElectoralDistrict": {
"Id": 1,
"Code": "text"
},
"ReasonPayoutBlockAccount": {
"Id": 1,
"Code": "text"
},
"MembershipEndReason": {
"Id": 1,
"Code": "text"
},
"ActiveMainMember": {
"PersonId": 1,
"IdNum": "text"
},
"Description": "text",
"ActiveMaritalMember": {
"PersonId": 1,
"IdNum": "text"
},
"LastProcessMembership": {
"ActiveDateProcess": "2026-10-15",
"DeclarationDateProcess": "2026-10-15",
"ProcessType": "text",
"ShareState": "text",
"SharesIncrease": true,
"SharesCount": 1,
"Amount": 1,
"Remark": "text"
},
"ResponsibleOfficial": {
"Id": 1,
"CodeShort": "text",
"PersonId": 1
},
"LicenseAgreements": [
{
"Id": 1,
"UseUnit": {
"Id": 1,
"UseUnitNumber": "text",
"BuildingLandId": 1,
"EconomicUnitId": 1,
"EconomicUnit": "text"
},
"RestrictionsOfUse": {
"Id": 1,
"NodeId": 1,
"Name": "text",
"IsVacancy": true
},
"ContractStatus": {
"Id": 1,
"Name": "text"
},
"IdNum": "text",
"StartContract": "2026-10-15",
"EndOfContract": "2026-10-15",
"PersonId": 1
}
],
"AdditionalFields": [
{
"Name": "text",
"Content": "text",
"Type": "text"
}
],
"ShareTypeOverview": [
{
"ShareType": {
"Id": 1,
"Code": "text"
},
"SharesDeclaredQuantity": 1,
"SharesDeclaredAmount": 1,
"SharesApprovedQuantity": 1,
"SharesApprovedAmount": 1,
"SharesActiveQuantity": 1,
"SharesActiveAmount": 1
}
],
"OrganAuthorities": [
{
"Id": 1,
"ValidFrom": "2026-10-15",
"ValidTo": "2026-10-15",
"ElectedOn": "2026-10-15",
"OrganAuthority": {
"Id": 1,
"Code": "text"
},
"ElectoralDistrict": {
"Id": 1,
"Code": "text"
}
}
],
"PaymentAssignments": [
{
"Id": 1,
"ValidFrom": "2026-10-15",
"ValidTo": "2026-10-15",
"Amount": 1,
"UsageText": "text",
"RecipientPerson": {
"Id": 1,
"IdNum": "text"
},
"AssignmentOfObjectDto": {
"Id": 1,
"Code": "text"
},
"AssignmentReason": {
"Id": 1,
"Code": "text"
},
"BankAccount": {
"Id": 1,
"Iban": "text",
"Bic": "text"
}
}
],
"HousingSubsidies": [
{
"Id": 1,
"CooperativeFiscalYear": {
"Id": 1,
"Code": "text"
},
"TaxAuthority": {
"Id": 1,
"Code": "text"
},
"ApplicationAsCouple": true,
"HousingSubsidyApplicationSentToMember": true,
"HousingSubsidyApplicationComplete": true,
"ManuallyHousingSubsidyRelevantCapital": 1
}
],
"RateAgreements": [
{
"Id": 1,
"Amount": 1,
"DateFrom": "2026-10-15",
"DateTo": "2026-10-15",
"Info": "text",
"ReasonForRateAgreement": "text",
"Status": {
"Id": 1,
"Code": "text"
},
"Items": [
{
"Id": 1,
"Date": "2026-10-15",
"Amount": 1,
"Status": {
"Id": 1,
"Code": "text"
}
}
]
}
]
}
]Mitgliedschaft Kontenschreibung
Version 1.2
get
Autorisierungen
OAuth2passwordErforderlichToken URL:
Use username and password.
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample:
20offsetinteger · int32Optional
cooperativeMembershipIdinteger · int32Optional
cooperativeMembershipIdNumstringOptional
cooperativeMembershipActiveOnstring · date-timeOptional
balanceAtstring · date-timeOptional
personIdinteger · int32Optional
personIdNumstringOptional
showNullValuesbooleanOptionalDefault:
falseAntworten
200
OK
DayBalancenumber · decimalOptional
Balancenumber · decimalOptional
BalanceAtstring · dateOptionalExample:
2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])400
Bad Request
401
Unauthorized
get/openwowi/v1.2/CooperativeManagement/CooperativeMembershipBalances
GET /openwowi/v1.2/CooperativeManagement/CooperativeMembershipBalances HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"CooperativeMembership": {
"Id": 1,
"IdNum": "text",
"CreationDate": "2026-10-15",
"AccessionDate": "2026-10-15",
"ValidFrom": "2026-10-15",
"ValidTo": "2026-10-15"
},
"DayBalance": 1,
"Balance": 1,
"BalanceAt": "2026-10-15",
"MasterAccountAreas": [
{
"MasterAccountArea": {
"Id": 1,
"Code": "text"
},
"DayBalance": 1,
"Balance": 1
}
]
}
]Bewegungen Mitgliedsanteile
Version 1.2
get
Autorisierungen
OAuth2passwordErforderlichToken URL:
Use username and password.
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample:
20offsetinteger · int32Optional
cooperativeMembershipIdinteger · int32Optional
cooperativeMembershipIdNumstringOptional
cooperativeMembershipActiveOnstring · date-timeOptional
personIdinteger · int32Optional
personIdNumstringOptional
processTypeIdinteger · int32Optional
includeInactiveSharebooleanOptionalDefault:
falseshowNullValuesbooleanOptionalDefault:
falseAntworten
200
OK
Idinteger · int32Optional
DeclarationDatestring · dateOptionalExample:
2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])AgreementDatestring · date · nullableOptionalExample:
2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])ActiveDatestring · date · nullableOptionalExample:
2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])CancellationDeclarationDatestring · date · nullableOptionalExample:
2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])CancellationAgreementDatestring · date · nullableOptionalExample:
2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])LetterDatestring · date · nullableOptionalExample:
2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])RegistrationDatestring · date · nullableOptionalExample:
2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])Remarkstring · nullableOptional
InformationInvolvedMemberstring · nullableOptional
400
Bad Request
401
Unauthorized
get/openwowi/v1.2/CooperativeManagement/ProcessMemberships
GET /openwowi/v1.2/CooperativeManagement/ProcessMemberships HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"Id": 1,
"CooperativeMembership": {
"Id": 1,
"IdNum": "text"
},
"ProcessType": {
"Id": 1,
"Code": "text"
},
"SharesState": {
"Id": 1,
"Code": "text"
},
"InvolvedMembership": {
"Id": 1,
"IdNum": "text"
},
"DeclarationDate": "2026-10-15",
"AgreementDate": "2026-10-15",
"ActiveDate": "2026-10-15",
"CancellationDeclarationDate": "2026-10-15",
"CancellationAgreementDate": "2026-10-15",
"LetterDate": "2026-10-15",
"RegistrationDate": "2026-10-15",
"Remark": "text",
"InformationInvolvedMember": "text",
"Shares": [
{
"Id": 1,
"ProcessMembershipReversalOfId": 1,
"SharesCount": 1,
"Amount": 1,
"TotalAmount": 1,
"SharesType": {
"Id": 1,
"Code": "text"
},
"SharesCategory": {
"Id": 1,
"Code": "text"
}
}
]
}
]Zuletzt aktualisiert
